/*
 * @Author: zhangshu
 * @email: shiliang.zhang@tuya.com
 * @LastEditors: Please set LastEditors
 * @file name: app_ias_zone_attribute.h
 * @Description: 
 * @Copyright: HANGZHOU TUYA INFORMATION TECHNOLOGY CO.,LTD
 * @Company: http://www.tuya.com
 * @Date: 2021-07-31
 * @LastEditTime: 2021-07-31
 */
#ifndef __APP_IAS_ZONE_ATTRIBUTE_H__
#define __APP_IAS_ZONE_ATTRIBUTE_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "app_common.h"

/**********************************read interface******************************************/
/**
 * @description: read ias zone state
 * @param[in] none
 * @return: zone state, enroll or not enroll
 */
UINT8_T read_ias_zone_state(VOID_T);

/**
 * @description: read ias zone type
 * @param[in] none
 * @return: ias zone type or invalid data
 */
UINT16_T read_ias_zone_type(VOID_T);

/**
 * @description: read ias zone status
 * @param[in] none
 * @return: ias zone status or invalid data
 */
UINT16_T read_ias_zone_status(VOID_T);

/**
 * @description: read ias zone cie address
 * @param[out] cie_addr: ias zone CIE address
 * @return: TRUE when read success or not
 */
BOOL_T read_ias_zone_cie_address(UINT8_T *cie_addr);

/**
 * @description: read ias zone id
 * @param[in] none
 * @return: ias zone id or invalid data
 */
UINT8_T read_ias_zone_id(VOID_T);

/**********************************write interface******************************************/
/**
 * @description: set ias zone state after receive enroll response
 * @param[in] enroll_state: zone enroll state
 * @return: none
 */
VOID_T write_ias_zone_state(UINT8_T enroll_state);

/**
 * @description: set ias zone type after receive enroll response
 * @param[in] zone_type: zone type
 * @return: none
 */
VOID_T write_ias_zone_type(UINT16_T zone_type);

/**
 * @description: set ias zone status after receive enroll response
 * @param[in] zone_status: zone type
 * @return: none
 */
VOID_T write_ias_zone_status(UINT16_T zone_status);

/**
 * @description: set ias zone cie address
 * @param[in] cie_addr: ias zone CIE address
 * @return: none
 */
VOID_T write_ias_zone_cie_address(UINT8_T *cie_addr);

/**
 * @description: set ias zone id after receive enroll response
 * @param[in] zone_id: ias zone id
 * @return: none
 */
VOID_T write_ias_zone_id(UINT8_T zone_id);

#ifdef __cplusplus
}
#endif

#endif
