
#ifndef __TUYA_SDK_CALLBACK_H__
#define __TUYA_SDK_CALLBACK_H__


#ifdef __cplusplus
    extern "C" {
#endif

#include "tuya_cloud_types.h"

#define APP_KEY_SUPPORT                          1
#define APP_LED_SUPPORT                          1
#define APP_BATTERY_SUPPORT                      1
#define APP_GPIO_SUPPORT                         1
#define IAS_ZONE_SUPPORT                         1

//gpio sensor 
#define GPIO_SENSOR_ALARM_1_ENABLE               TRUE
#define GPIO_SENSOR_ALARM_1_PIN                  GPIO_PA3
#define GPIO_SENSOR_ALARM_1_LEVEL                TUYA_GPIO_LEVEL_HIGH
#define GPIO_SENSOR_TAMPER_ENABLE                TRUE
#define GPIO_SENSOR_TAMPER_PIN                   GPIO_PA0
#define GPIO_SENSOR_TAMPER_LEVEL                 TUYA_GPIO_LEVEL_HIGH
#define GPIO_SENSOR_TROUBLE_ENABLE               FALSE
#define GPIO_SENSOR_TROUBLE_PIN                  GPIO_PC5
#define GPIO_SENSOR_TROUBLE_LEVEL                TUYA_GPIO_LEVEL_HIGH

//led
#define LED_STATUS_ENABLE                        TRUE
#define LED_STATUS_PIN                           GPIO_PD1
#define LED_STATUS_LEVEL                         TUYA_GPIO_LEVEL_HIGH
#define LED_NET_ENABLE                           TRUE
#define LED_NET_PIN                              GPIO_PD2
#define LED_NET_LEVEL                            TUYA_GPIO_LEVEL_HIGH
#define LED_ALARM_INDICATE_TYPE                  LED_INDICATE_TYPE_ONCE
#define LED_TAMPER_INDICATE_TYPE                 LED_INDICATE_TYPE_ONCE
#define LED_TROUBLE_INDICATE_TYPE                LED_INDICATE_TYPE_NONE

//key
#define KEY_PIN                                 GPIO_PB0
#define KEY_IRQ_MODE                            TUYA_GPIO_IRQ_FALL



// #define APP_GPIO_SENSOR_CONFIG_DEFAULT {\
//     {GPIO_SENSOR_ALARM_1_ENABLE,  GPIO_SENSOR_ALARM_1_LEVEL, GPIO_SENSOR_ALARM_1_PIN},\
//     {GPIO_SENSOR_TAMPER_ENABLE,   GPIO_SENSOR_TAMPER_LEVEL,  GPIO_SENSOR_TAMPER_PIN},\
//     {GPIO_SENSOR_TROUBLE_ENABLE,  GPIO_SENSOR_TROUBLE_LEVEL, GPIO_SENSOR_TROUBLE_PIN},\
// }
#define APP_GPIO_SENSOR_CONFIG_DEFAULT {\
    {GPIO_SENSOR_ALARM_1_ENABLE,  GPIO_SENSOR_ALARM_1_LEVEL, GPIO_SENSOR_ALARM_1_PIN},\
}

#define APP_LED_CONFIG_DEFAULT {\
    {LED_STATUS_ENABLE, LED_STATUS_LEVEL, LED_STATUS_PIN},\
    {LED_NET_ENABLE,    LED_NET_LEVEL,    LED_NET_PIN},\
    LED_ALARM_INDICATE_TYPE,\
    LED_TAMPER_INDICATE_TYPE,\
    LED_TROUBLE_INDICATE_TYPE,\
}

#define APP_KEY_CONFIG_DEFAULT {\
    KEY_PIN,\
    KEY_IRQ_MODE,\
}


#ifdef __cplusplus
}
#endif

#endif

